# Report AIS vessel presence - cargo and carrier vessels only (JSON) (/docs/examples/report/report-example11)



**Query parameters**

| Parameter             | Value                                | Description                         |
| --------------------- | ------------------------------------ | ----------------------------------- |
| `spatial-resolution`  | `LOW`                                | Low spatial resolution              |
| `temporal-resolution` | `DAILY`                              | Aggregate by day                    |
| `group-by`            | `FLAG`                               | Group results by vessel flag        |
| `datasets[0]`         | `public-global-presence:latest`      | AIS vessel presence dataset         |
| `date-range`          | `2022-01-01,2022-05-01`              | Filter to this time period          |
| `format`              | `JSON`                               | Response format                     |
| `filters[0]`          | `vessel_type in ("cargo","carrier")` | Filter to cargo and carrier vessels |
| `region-id`           | `5690`                               | Russian EEZ region id               |
| `region-dataset`      | `public-eez-areas`                   | Existing region dataset             |

**Request**

<Tabs items="['cURL', 'Python', 'R', 'JavaScript']">
  <Tab value="cURL">
    ```shell
    # Make sure to replace [TOKEN] with your API Access Token.
    curl --location -g --request GET 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=DAILY&group-by=FLAG&datasets[0]=public-global-presence:latest&date-range=2022-01-01,2022-05-01&format=JSON&filters[0]=vessel_type%20in%20(%22cargo%22,%22carrier%22)&region-id=5690&region-dataset=public-eez-areas' \
    --header 'Authorization: Bearer [TOKEN]'
    ```
  </Tab>

  <Tab value="Python">
    ```python
    result = await gfw_client.fourwings.create_report(
        datasets=["public-global-presence:latest"],
        spatial_resolution="LOW",
        temporal_resolution="DAILY",
        group_by="FLAG",
        filters=['vessel_type in ("cargo","carrier")'],
        start_date="2022-01-01",
        end_date="2022-05-01",
        region={"dataset": "public-eez-areas", "id": 5690},
    )
    ```
  </Tab>

  <Tab value="R">
    ```r
    gfw_ais_presence(
      spatial_resolution = "LOW",
      temporal_resolution = "DAILY",
      start_date = "2022-01-01",
      end_date = "2022-05-01",
      region = 5690,
      region_source = "EEZ",
      group_by = "FLAG",
      filter_by = 'vessel_type in ("cargo","carrier")'
    )
    ```
  </Tab>

  <Tab value="JavaScript">
    ```js
    // Make sure to replace [TOKEN] with your API Access Token.
    const res = await fetch(
      'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=DAILY&group-by=FLAG&datasets[0]=public-global-presence:latest&date-range=2022-01-01,2022-05-01&format=JSON&filters[0]=vessel_type%20in%20(%22cargo%22,%22carrier%22)&region-id=5690&region-dataset=public-eez-areas',
      { headers: { Authorization: 'Bearer [TOKEN]' } }
    )
    const data = await res.json()
    ```
  </Tab>
</Tabs>

**Response**

```json
{
  "total": 1,
  "limit": null,
  "offset": null,
  "nextOffset": null,
  "metadata": {},
  "entries": [
    {
      "public-global-presence:v3.0": [
        {
          "date": "2022-01-01",
          "flag": "USA",
          "hours": 156.25,
          "lat": -55.3,
          "lon": 35.2,
          "vesselIDs": 7
        },
        {
          "date": "2022-01-01",
          "flag": "ESP",
          "hours": 278.5,
          "lat": -55.1,
          "lon": 35.4,
          "vesselIDs": 13
        }
      ]
    }
  ]
}
```
